aboutsummaryrefslogtreecommitdiff
path: root/t/t3902-quoted.sh
diff options
context:
space:
mode:
authorMark Levedahl <mdl123@verizon.net>2007-08-12 11:24:30 -0400
committerJunio C Hamano <gitster@pobox.com>2007-08-13 12:58:38 -0700
commit95eb6853af73ba91188a481a882076fa2639f15f (patch)
tree47734463c3c9f3b704c4af4776d76b6e201fc7b6 /t/t3902-quoted.sh
parentd616813d75b888b7c29bbad19808fe5cffa5380c (diff)
downloadgit-95eb6853af73ba91188a481a882076fa2639f15f.tar.gz
git-95eb6853af73ba91188a481a882076fa2639f15f.tar.xz
t3902 - skip test if file system doesn't support HT in names
Windows / cygwin don't support HT, LF, or TAB in file name so this test is meaningless there. Signed-off-by: Mark Levedahl <mdl123@verizon.net> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t3902-quoted.sh')
-rwxr-xr-xt/t3902-quoted.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/t/t3902-quoted.sh b/t/t3902-quoted.sh
index 63f950b17..245fb3bab 100755
--- a/t/t3902-quoted.sh
+++ b/t/t3902-quoted.sh
@@ -7,6 +7,12 @@ test_description='quoted output'
. ./test-lib.sh
+P1='pathname with HT'
+: >"$P1" 2>&1 && test -f "$P1" && rm -f "$P1" || {
+ echo >&2 'Filesystem does not support HT in names'
+ test_done
+}
+
FN='濱野'
GN='純'
HT=' '